import { r as u, s as m, y as c, e as b, g as l } from "./base-0db4ef3a.js";
import { e as f } from "./property-ca27685b.js";
import { u as v } from "./useBemm-077765ce.js";
const d = `.sil-button{display:block;border:1px solid red;padding:var(--space)}
`;
var g = Object.defineProperty, y = Object.getOwnPropertyDescriptor, a = (e, t, n, o) => {
  for (var s = o > 1 ? void 0 : o ? y(t, n) : t, i = e.length - 1, p; i >= 0; i--)
    (p = e[i]) && (s = (o ? p(t, n, s) : p(s)) || s);
  return o && s && g(t, n, s), s;
};
let r = class extends m {
  constructor() {
    super(...arguments), this.icon = "";
  }
  render() {
    const { classes: e, bemm: t } = v(l("icon"), {
      return: "string"
    });
    return c`
      <button class="${e({})}">
        <span class="${t("text")}">
          <slot></slot>
        </span>
        ${this.icon ? c`<sil-icon icon="${this.icon}"` : null}
      </button>
    `;
  }
};
r.styles = u(d);
a([
  f({ type: String })
], r.prototype, "icon", 2);
r = a([
  b(l("button"))
], r);
export {
  r as Button
};
